/*
    Cubo de agua (Water vat)
    *
    Jaime Vives Piqueres, ?(C), 1999.
*/

// *** wood tables ***
#declare r_w=seed(37);
#declare tabla1=
height_field{
 tga "hf_mad1"
 water_level 0.001
 translate -.5
 rotate 90*y
 rotate -90*x
 scale <6,30,1>
 texture{t_mader2 rotate 90*x  translate 100*rand(r_w)}
}
#declare tabla2=
height_field{
 tga "hf_mad2"
 water_level 0.001
 translate -.5
 rotate 90*y
 rotate -90*x
 scale <6,30,1>
 texture{t_mader2 rotate 90*x translate 100*rand(r_w)}
}
#declare tabla3=
height_field{
 tga "hf_mad3"
 water_level 0.001
 translate -.5
 rotate 90*y
 rotate -90*x
 scale <5,30,1>
 texture{t_mader2 rotate 90*x translate 100*rand(r_w)}
}

#declare kk=16;
#declare cubo=
union{
 object{tabla1 rotate -5*x translate -10*z}
 object{tabla2 rotate -5*x translate -10*z rotate kk*1*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*2*y}
 object{tabla1 rotate -5*x translate -10*z rotate kk*3*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*4*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*5*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*6*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*7*y}
 object{tabla1 rotate -5*x translate -10*z rotate kk*8*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*9*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*10*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*11*y}
 object{tabla1 rotate -5*x translate -10*z rotate kk*12*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*13*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*14*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*15*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*16*y}
 object{tabla1 rotate -5*x translate -10*z rotate kk*17*y}
 object{tabla2 rotate -5*x translate -10*z rotate kk*18*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*19*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*20*y}
 object{tabla3 rotate -5*x translate -10*z rotate kk*21*y}
 difference{
  cylinder{<0,0,0>,<0,2,0>,10.1}
  cylinder{<0,-1,0>,<0,3,0>,10}
  texture{pigment{Copper} finish{metallic}}
  translate -13*y
 }
 difference{
  cylinder{<0,0,0>,<0,2,0>,12.1}
  cylinder{<0,-1,0>,<0,3,0>,12}
  texture{pigment{Copper} finish{metallic}}
  translate 12*y
 }
 sphere{<0,0,0>,.5 texture{pigment{Copper} finish{metallic}} translate <-12.5,12,0>}
 sphere{<0,0,0>,.5 texture{pigment{Copper} finish{metallic}} translate <12.5,12,0>}
 intersection{
  torus{13,.5}
  plane{z,1}
  texture{old_metal}
  rotate -30*x
  translate 12*y
 }
 cone{
  <0,1,0>,9,<0,12,0>,11
  material{
   texture {
    pigment{
     White filter 0.9
    }
    normal{
     ripples 1
     frequency 10
     turbulence 0.3
     phase clock
    }
    finish {
     specular 1
     roughness 0.001
     ambient 0
     diffuse 0
     reflection 0.7
    }
   }
   interior { ior 1.2 caustics 1.0 }
  }
 }
 translate 15*y
}

