/*
  Texturas comunes (Common textures)
  *
  Jaime Vives Piqueres, ?(C), 1999.
*/

#declare t_madera=
texture{
 T_Wood8
}
texture{
 pigment{
  bozo
  turbulence 0.3
  color_map{
   [0.0 Tan filter 0.5]
   [0.2 Clear]
   [1.0 Clear]
  }
 }
 scale 400
}
#declare t_madera_n=
texture{
 T_Wood8
 normal{wood 10}
}
texture{
 pigment{
  bozo
  turbulence 0.3
  color_map{
   [0.0 Tan filter 0.5]
   [0.2 Clear]
   [1.0 Clear]
  }
 }
 scale 40
}
#declare t_mader2=
texture{
 T_Wood7
}
texture{
 pigment{
  wrinkles
  turbulence 0.4
  color_map{
   [0.0 DarkTan filter 0.5]
   [0.2 Clear]
   [1.0 Clear]
  }
 }
 scale 300
}
#declare old_metal=
 texture{
  pigment{
   bozo
   color_map{
    [0 GreenCopper]
    [1 CoolCopper]
   }
  }
  normal{dents scale .6}
  finish{F_MetalA}
 }
#declare t_brick=
texture{
 pigment{
  gradient z
  color_map{
   [0 Tan]
   [.5 Firebrick]
   [1 Tan]
  }
 }
 normal{dents scale .01}
}
#declare t_brick_map=
 texture{
  material_map{
   gif "mm_wbrk"
   texture{pigment{Flesh*.75} normal{granite scale .01}}
   texture{t_brick translate (-50+100*rand(r1))*z}
   texture{t_brick translate (-50+100*rand(r1))*z}
   texture{t_brick translate (-50+100*rand(r1))*z}
   texture{t_brick translate (-50+100*rand(r1))*z}
   texture{t_brick translate (-50+100*rand(r1))*z}
  }
 }
#declare t_number_plaque=
 texture{
  pigment{
   gradient z
   color_map{
    [0 NavyBlue*.75]
    [1 Silver]
   }
  }
  normal{granite}
  finish{metallic}
 }
 texture{
  pigment{
   bozo
   color_map{
    [0 Clear]
    [.6 DarkTan/2 filter 0.5]
    [1 DarkTan/2 filter 0.5]
   }
   scale .5
  }
  normal{granite}
 }
#declare t_floor=
texture{
 pigment{
  gradient y
  color_map{
   [0 Tan]
   [1 DarkTan]
  }
  scale 2
 }
 normal{granite}
}
#declare t_slab=
 texture{
  T_Stone11
  normal{granite scale 4}
 }
#declare t_paint=
texture{
 pigment{
  gradient z
  color_map{
   [0 DarkTan]
   [1 White]
  }
 }
 normal{granite scale 4}
}
#declare t_path_stn=
texture{
 pigment{
  bumps
  turbulence 1
  color_map{
   [0 Pink]
   [1 Salmon]
  }
 }
 scale .01
}
texture{
 pigment{
  bozo
  color_map{
   [0 Clear]
   [.6 DarkBrown/2 filter 0.5]
   [1 DarkBrown/2 filter 0.5]
  }
  scale .05
 }
 normal{granite}
}
#declare t_rusty=
 texture{
  pigment{
   granite
   color_map{
    [0 DarkTan*.3]
    [0.5 DarkBrown*.4]
    [1 Orange*.6]
   }
  }
  normal{granite scale .1}
  finish{metallic}
 }
// --- metal for the tubes ---
#declare t_metal=
 texture{
  pigment{
   wrinkles
   turbulence .3
   color_map{
    [0.00 DkGreenCopper*.1]
    [1.00 Copper]
   }
  }
  normal{crackle scale .1}
  finish{F_MetalB}
 }
// --- mix both on the final tube texture ---
#declare rusted_metal=
texture{
 wrinkles
 turbulence .3
 texture_map{
  [0.00 t_rusty]
  [0.30 t_rusty]
  [0.32 t_metal]
  [1.00 t_metal]
 }
 scale 2
}

